#include <iostream>
#include <vector>
#include <map>
#include <algorithm>
using namespace std;
vector<int> solve(vector<int> A){
    vector<int>ans;
    ans.push_back(A.size()-1);
    for(int i=0;i<A.size()-1;++i){
        ans.push_back(i);
    }
    return ans;
}